compact3
java.lang.instrument

## Class UnmodifiableClassException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.instrument.UnmodifiableClassException

All Implemented Interfaces:
  Serializable

    public class UnmodifiableClassException
    extends Exception

Thrown by an implementation of `Instrumentation.redefineClasses` when one of the specified classes cannot be modified.

Since:
  1.5
See Also:
  `Instrumentation.redefineClasses(java.lang.instrument.ClassDefinition...)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnmodifiableClassException()` Constructs an `UnmodifiableClassException` with no detail message.
`UnmodifiableClassException(String s)` Constructs an `UnmodifiableClassException` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnmodifiableClassException

    public UnmodifiableClassException()

Constructs an `UnmodifiableClassException` with no detail message.

#### UnmodifiableClassException

    public UnmodifiableClassException(String s)

Constructs an `UnmodifiableClassException` with the specified detail message.

Parameters:
  `s` - the detail message.